Page MenuHomePhabricator

[clang][NFC] p1099 2/5: Break out enum completion from context completion
ClosedPublic

Authored by urnathan on May 11 2021, 7:30 AM.

Details

Summary

This prepatch for using-enum breaks out the enum completion that that will need from the existing scope completion logic

Diff Detail

Event Timeline

urnathan requested review of this revision.May 11 2021, 7:30 AM
urnathan created this revision.
urnathan retitled this revision from Break out enum completion from context completion to [clang] p1099 2/5: Break out enum completion from context completion.May 11 2021, 7:49 AM
bruno added inline comments.May 13 2021, 11:03 PM
clang/lib/Sema/SemaCXXScopeSpec.cpp
279

Since you cannot yet add a testcase for err_incomplete_enum because RequireCompleteEnumDecl only gets another use in patch 4, it might be better to just add the refactoring in this patch and add the new error and the "else" in patch 4. Another options is to squash this entirely in patch 4.

urnathan updated this revision to Diff 345438.May 14 2021, 7:36 AM
urnathan retitled this revision from [clang] p1099 2/5: Break out enum completion from context completion to [clang][NFC] p1099 2/5: Break out enum completion from context completion.

I've taken out the new error and require the broken-out routine to have a non-null scope passed to it.

bruno accepted this revision.May 14 2021, 10:30 AM

Looks good to me with the remaining clang-format linting on the assert.

This revision is now accepted and ready to land.May 14 2021, 10:30 AM
urnathan updated this revision to Diff 345958.May 17 2021, 12:05 PM

rebased, trying to resolve bot failure

davrec accepted this revision.May 22 2021, 8:36 AM
urnathan marked an inline comment as done.May 24 2021, 8:26 AM
This revision was landed with ongoing or failed builds.Jun 7 2021, 6:30 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJun 7 2021, 6:30 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript